aagc.vo

## Class StoricoPosizioneAnagraficaMedicoDiBaseResponse

- java.lang.Object
- - aagc.vo.StoricoPosizioneAnagraficaMedicoDiBaseResponse

-     public class StoricoPosizioneAnagraficaMedicoDiBaseResponse
      extends java.lang.Object

  Classe Java per storicoPosizioneAnagraficaMedicoDiBaseResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="storicoPosizioneAnagraficaMedicoDiBaseResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codFiscale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataNascita" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="elencoIncarichi" type="{http://www.nsisr.puglia.it/Schemas/}IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica" maxOccurs="unbounded" minOccurs="0"/>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codFiscale`
    `protected java.lang.String` | `cognome`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataNascita`
    `protected java.util.List<IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica>` | `elencoIncarichi`
    `protected java.lang.String` | `nome`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoricoPosizioneAnagraficaMedicoDiBaseResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()` Recupera il valore della proprietà codFiscale.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `java.util.List<IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica>` | `getElencoIncarichi()` Gets the value of the elencoIncarichi property.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `void` | `setCodFiscale(java.lang.String value)` Imposta il valore della proprietà codFiscale.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataNascita.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          protected java.lang.String codFiscale

    - #### cognome

          protected java.lang.String cognome

    - #### dataNascita

          protected javax.xml.datatype.XMLGregorianCalendar dataNascita

    - #### elencoIncarichi

          protected java.util.List<IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica> elencoIncarichi

    - #### nome

          protected java.lang.String nome

  - ### Constructor Detail

    - #### StoricoPosizioneAnagraficaMedicoDiBaseResponse

          public StoricoPosizioneAnagraficaMedicoDiBaseResponse()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

      Recupera il valore della proprietà codFiscale.
      Returns:
        possible object is `String`

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String value)

      Imposta il valore della proprietà codFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataNascita

          public javax.xml.datatype.XMLGregorianCalendar getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataNascita

          public void setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getElencoIncarichi

          public java.util.List<IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica> getElencoIncarichi()

      Gets the value of the elencoIncarichi property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoIncarichi property.

      For example, to add a new item, do as follows:

              getElencoIncarichi().add(newItem);

      Objects of the following type(s) are allowed in the list `IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`